# pqxx::internal::scoped_array< T > Class Template Reference

`#include <util.hxx>`

List of all members.

## Public Types

typedef size_t | size_type
typedef long | difference_type

## Public Member Functions

| scoped_array ()
| scoped_array (size_type n)
| scoped_array (T *t)
| ~scoped_array ()
T * | c_ptr () const throw ()
T & | operator * () const throw ()
T & | operator[] (difference_type i) const throw ()
scoped_array & | operator= (T *t) throw ()

### template<typename T>
class pqxx::internal::scoped_array< T >

## Member Typedef Documentation

template<typename T>

typedef size_t pqxx::internal::scoped_array< T >::size_type

template<typename T>

typedef long pqxx::internal::scoped_array< T >::difference_type

## Constructor & Destructor Documentation

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( |  | ) |

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( | size_type | n | ) | `[explicit]`

template<typename T>

pqxx::internal::scoped_array< T >::scoped_array | ( | T * | t | ) | `[explicit]`

template<typename T>

pqxx::internal::scoped_array< T >::~scoped_array | ( |  | ) |

## Member Function Documentation

template<typename T>

T* pqxx::internal::scoped_array< T >::c_ptr | ( |  | ) | const throw ()

template<typename T>

T& pqxx::internal::scoped_array< T >::operator * | ( |  | ) | const throw ()

template<typename T>

T& pqxx::internal::scoped_array< T >::operator[] | ( | difference_type | i | ) | const throw ()

template<typename T>

scoped_array& pqxx::internal::scoped_array< T >::operator= | ( | T * | t | ) | throw ()

The documentation for this class was generated from the following file:

- util.hxx